DON'T BUY THE GAMES!!!! ..... (yet)

Discussion in 'iPod' started by mcmadhatter, Sep 12, 2006.

  1. mcmadhatter macrumors 6502

    mcmadhatter

    Joined:
    Sep 6, 2005
    Location:
    Bath, UK
    #1
    don't buy the games yet, the firmware on the current ipods doesn't support it, and at the moment itunes says that there is no updated firmware. this doesn't mean that they won't update it so that you can in a few days. but also don't be an idiot like me, see that they are supported by 5th gen ipods and think it is ok to buy one. itunes 7 just says "A software update is required to this ipod to support games, go to the summary tab to install the latest software update" but the summary tab says that no new updates are available.
     
  2. mcmadhatter thread starter macrumors 6502

    mcmadhatter

    Joined:
    Sep 6, 2005
    Location:
    Bath, UK
    #2
    Ignore that
    they have just released the update for it to work, it is installing now.
     
  3. James Craner macrumors 68000

    James Craner

    Joined:
    Sep 13, 2002
    Location:
    Bristol, UK
    #3
    Bother too late - purchased two games after checking that I had a 5th Gen iPod - come on Apple release that firmware update!
     
  4. James Craner macrumors 68000

    James Craner

    Joined:
    Sep 13, 2002
    Location:
    Bristol, UK
    #4
    Not appearing in the software update window for me yet - have you got a link to the download
     
  5. mcmadhatter thread starter macrumors 6502

    mcmadhatter

    Joined:
    Sep 6, 2005
    Location:
    Bath, UK
  6. squirrelist macrumors member

    squirrelist

    Joined:
    Jun 27, 2006
    Location:
    Silver Spring MD
    #6
    Don't use Software Update. From the iTunes menu, choose 'Check for Updates'
     
  7. James Craner macrumors 68000

    James Craner

    Joined:
    Sep 13, 2002
    Location:
    Bristol, UK

Share This Page